

var spawn = require("@runkit/tolmasky/spawn/9.0.0");
var ArraySlice = Array.prototype.slice;
var ArrayConcat = Array.prototype.concat;

var methods = ["add", "bin", "cache", "check", "clean", "config", "generate-lock-entry", "global", "info", "init", "install", "licenses", "link", "login", "logout", "ls", "outdated", "owner", "pack", "publish", "remove", "run", "self-update", "tag", "team", "test", "unlink", "upgrade", "version", "why"];
var index = 0;
var count = methods.length;

for (; index < count; ++index)
    exports[methods[index]] = yarn(methods[index]);

exports.dump = function ()
{
    return require("@runkit/tolmasky/dump-package-info/5.0.0")("yarn");
}

function yarn(command, args)
{
    if (arguments.length < 2)
        return function () { return yarn(command, arguments); };

    var asArray = ArraySlice.apply(args);
    var actualArguments = [require.resolve("yarn/bin/yarn.js")].concat(command, asArray, "--no-progress");

    return spawn("node", actualArguments, { displayCommand: "yarn", displayArguments: asArray });
}
